Name: freetype
Version: 1.3.1
Release: alt4
Serial: 1

Summary: Free TrueType font rasterizer library
License: BSD
Group: System/Libraries
Packager: AEN <aen@altlinux.ru>

Source: freetype-%version.tar.bz2
Source1: ttmkfdir.tar.bz2

# Patch from X-TT sources, to correctly support Dynalab TTF fonts
# very poppular in Taiwan
Patch0: freetype1.3-adw-nocheck.patch
Patch1: freetype-1.3.1-mdk-makefile.patch
Patch2: freetype-1.3.1-alt-pt154.patch
Patch3: freetype-1.3.1-alt-unicode.patch
Patch4: freetype-1.4-rh-ac25.patch
Patch5: freetype-1.4-rh-gcc33.patch

%def_disable static
%{?_enable_static:BuildPreReq: glibc-devel-static}

# Automatically added by buildreq on Wed Oct 23 2002
BuildRequires: XFree86-devel

%package devel
Summary: Header files and static library for development with FreeType
Group: Development/C
Requires: %name = %serial:%version-%release

%package devel-static
Summary: The FreeType static library
Group: Development/C
Requires: %name-devel = %serial:%version-%release

%description
The FreeType engine is a free and portable TrueType font rendering engine.
It has been developed to provide TT support to a great variety of
platforms and environments. Note that FreeType is a library, not a
stand-alone application, though some utility applications are included.

%description devel
This package is only needed if you intend to develop or
compile applications which rely on the FreeType library.
If you simply want to run existing applications, you won't
need this package.

%description devel-static
This package contains the FreeType static library.

%prep
%setup -q -a1

%patch0 -p0
%patch1 -p0
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1

%build
export ac_cv_lib_intl_gettext=no
%{?!_enable_static:export lt_cv_prog_cc_static_works=no}
%configure \
	--enable-shared \
	%{subst_enable static} \
	--disable-debug	\
	--with-locale-dir=%_datadir/locale
%make
%make -C ttmkfdir-1.1

%install
%makeinstall gnulocaledir=$RPM_BUILD_ROOT%_datadir/locale
%make_install install -C ttmkfdir-1.1
%find_lang %name

%post -p %post_ldconfig
%postun -p %postun_ldconfig

%files -f %name.lang
%_bindir/*
%_sbindir/*
%_libdir/*.so.*
%doc README announce docs

%files devel
%_includedir/*
%_libdir/*.so

%if_enabled static
%files devel-static
%_libdir/*.a
%endif

%changelog
* Tue Dec 02 2003 Dmitry V. Levin <ldv@altlinux.org> 1:1.3.1-alt4
- Do not build static library by default.
- Do not package .la files.

* Wed Oct 23 2002 Dmitry V. Levin <ldv@altlinux.org> 1:1.3.1-alt3
- Built without libintl.
- Updated build dependencies.

* Wed Sep 18 2002 Stanislav Ievlev <inger@altlinux.ru> 1:1.3.1-alt2.1
- rebuild with new XFree86

* Tue Sep 03 2002 AEN <aen@altlinux.ru> 1:1.3.1-alt2
- ALT unicode patch

* Tue Sep 03 2002 AEN <aen@altlinux.ru> 1:1.3.1-alt1
- rebuilt with gcc-3.2
- Serial: 1

* Mon Jun 18 2001 AEN <aen@logic.ru> 1.3.1-ipl1mdk
- added requirements to devel (thnx to Aleksey Voinov)

* Thu Feb 15 2001 AEN <aen@logic.ru>
- pt154 added

* Sun Nov 27 2000 AEN <aen@logic.ru>
- rebuild for RE

* Mon Oct  2 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.3.1-8mdk
- rebuild without freetype-devel installed.

* Tue Sep 12 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 1.3.1-7mdk
- updated ttmkfdir to recognize the new X11 font encodings in XFree86
- fixed a typo

* Tue Sep 12 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 1.3.1-6mdk
- updated ttmkfdir to recognize the new X11 font encodings in XFree86

* Wed Aug 30 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.3.1-5mdk
- use %%find_lang

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.3.1-4mdk
- automatically added BuildRequires

* Tue Aug 01 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.3.1-3mdk
- rebuild for hte BM
- use tmppath

* Sun Jul 09 2000 Stefan van der Eijk <s.vandereijk@chello.nl> 1.3.1-2mdk
- makeinstall macro
- macroszifications

* Mon Mar 27 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.3.1-1mdk
- 1.3.1
- group fix.

* Wed Nov 24 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- rebuild with small patch for Dynalab TTF fonts
- fixed Big5 naming for ttmkfdir ( s/big5.et-0/big5-0/ )

* Wed Nov 03 1999 John Buswell <johnb@mandrakesoft.com>
- Build Release

* Fri Oct 22 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- added support of microsoft-cp1251 encoding to ttmkfdir
  (so the fonts.dir file it generates will work with all currently supported
  encodings by Linux Mandrake)

* Thu Oct 14 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 1.3.

* Tue Sep 18 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- added recongnition of the new encodings in XFree86 fro ttmkfdir
  (iso8859-13 and iso8859-14).
- cleaned the %files section

* Mon Aug 23 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- added EB (Embedded Bitmap) patch; that allows rebuilding X-TT
  with support for embedded bitmaps of TTF; which makes a *BIG* difference
  in output quality of fonts at small sizes.
- included support to ttmkfdir for all the new encodings known by X-TT

* Tue Jun 29 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Build in the new environement.

* Thu May 06 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions
- handle RPM_OPT_FLAGS

* Mon Mar 22 1999 Preston Brown <pbrown@redhat.com>
- strip binaries

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com>
- auto rebuild in the new build environment (release 5)

* Thu Mar 18 1999 Cristian Gafton <gafton@redhat.com>
- fixed the %doc file list

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Mon Feb 15 1999 Preston Brown <pbrown@redhat.com>
- added ttmkfdir

* Tue Feb 02 1999 Preston Brown <pbrown@redhat.com>
- update to 1.2

* Thu Jan 07 1999 Cristian Gafton <gafton@redhat.com>
- call libtoolize to sanitize config.sub and get ARM support
- dispoze of the patch (not necessary anymore)

* Wed Oct 21 1998 Preston Brown <pbrown@redhat.com>
- post/postun sections for ldconfig action.

* Tue Oct 20 1998 Preston Brown <pbrown@redhat.com>
- initial RPM, includes normal and development packages.
